
:root {
    --bln-brown: #765623; 
    --bln-dark-brown: #5d4037; /* Optional darker shade for accents */
    --bln-light-brown: #d7ccc8; /* Optional lighter shade for accents */
}

body {
    margin: 0;
    padding: 0;
    height: 100vh;
    overflow: hidden;
    font-family: Avenir, "Avenir Next", "Segoe UI", sans-serif;
}

#admin-container {
    display: flex;
    flex-direction: column;
    height: 100vh;
    overflow: hidden;
}

.grid-menu {
    display: flex;
    gap: 10px;
    padding: 0 10px 10px 10px;
}

.grid-menu > :last-child {
    margin-left: auto;
}

.bln-header {
    display: flex;
    justify-content: center;
    column-gap: 20px;
}

#login-form{
    max-width: 400px;
    margin: 100px auto;
    padding: 30px;
    border: 1px solid #ddd;
    border-radius: 8px;
    background-color: #f9fcfd;
    display: flex;
    flex-direction: column;
    row-gap: 15px;
}

.login-input {
    display: flex;
    align-items: center;
    gap: 10px;
}   

#api-token {
    flex-grow: 1;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.bln-btn {
    background-color: #e9ecef;
    border: 1px solid var(--bln-brown);
    color: var(--bln-dark-brown);
    padding: 6px 12px;
    border-radius: 4px;
    font-weight: 700;
    cursor: pointer;
}

#welcome-message {
    text-align: center;
    margin-top: 50px;
}

.bln-btn:hover {
    background-color: var(--bln-light-brown);
    border: 1px solid white;
    color: white;
}

.header-section {
    border-bottom: 2px solid #eee;
    margin-bottom: 30px;
    margin-right: 20px;
    padding-bottom: 20px;
    display: flex;
    justify-content: flex-end;
}



/* Header and Navigation */

#nav-container {
    margin: 0 10px;
    border-bottom: 1px solid #ddd;
}

.nav-header {
    background-color: var(--bln-brown);
    border-bottom: 1px solid #dee2e6;
    padding: 1rem 2rem;
    margin-bottom: 0;
    margin-top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-top h1 {
    margin: 0;
    font-size: 1.5rem;
}

.nav-menu {
    display: flex;
    gap: 20px;
}

.nav-menu a {
    text-decoration: none;
    background-color: #e9ecef;
    color: var(--bln-dark-brown);
    font-weight: 700;
    padding: 2px 8px;
    border-radius: 4px;
    transition: background-color 0.2s;
}

.nav-menu a:hover {
    background-color: var(--bln-brown);
    border: 1px solid white;
    color: white;
}

.nav-menu a.active {
    background-color: var(--bln-brown);
    border: 1px solid white;
    color: white;
}

.hidden {
    display: none !important;
}

#production-banner, #development-banner {
    color: white;
    text-align: center;
    padding: 10px;
    font-weight: bold;
    margin: 0 10px 0 10px;
    display: none; /* Hidden by default */
}

#production-banner {
    background-color: #ff4d4d;
}

#development-banner {
    background-color: var(--bln-dark-brown);
}

